Subject: bug#57503: 28.1.91; package-selected-packages should not be saved to custom-file

From: Philip Kaludercic <[email-masked]>
Date: Sat, 03 Sep 2022 10:17:43 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> For values of 'just' that are a little bigger than changing that one
>> line 😀
>
> 😉
>
>> roughʼnʼready patch attached. Seems to work fine. Iʼve not tested the
>> interaction with a .emacs that has package-selected-packages set, but
>> if I understand multisession variables correctly that will just be
>> ignored.
>
> Hm, yes -- if we do this, we'll end up with all users both having that
> variable saved in their init file in addition to the multisession
> storage.  Hm.  That sounds really confusing.
>
> I can also see people running into difficulties when switching between
> older and newer versions of Emacs, and Emacs becoming very confused.
>
> Hm...  I don't immediately see any way to make this work seamlessly in a
> way that's backwards/forwards compatible.

What about if we allowed setting `package-selected-packages' to a symbol
like 'external, in which case the list would be saved in a file?  That
way users would have to explicitly opt-in.